# {{ ansible_managed }}

# Tip: For users of IPv4 DHCP: Please note that /etc/resolv.conf will be completely overwritten with any nameservers
# provided by DHCP. Also, if DHCP does not provide any nameservers, then /etc/resolv.conf will still be overwritten,
# but will not contain any nameservers!

{% for eth_item in interfaces_eth_interfaces %}
{% if (eth_item.bootproto is defined and eth_item.bootproto == 'static') and (eth_item.dnssearch is defined and eth_item.dnssearch|string|length > 0) %}
search {{ eth_item.dnssearch }}
{% endif %}
{% if (eth_item.bootproto is defined and eth_item.bootproto == 'static') and (eth_item.dnsnameservers is defined and eth_item.dnsnameservers|length > 0) %}
{% for dns_server in eth_item.dnsnameservers %}
nameserver {{ dns_server }}
{% endfor %}
{% endif %}

{% endfor %}
